Page MenuHomePhabricator

Minerva feature classes leak into Vector skin
Closed, ResolvedPublic2 Story Points

Description

When you visit https://en.wikipedia.org/wiki/Main_Page and inspect the body element, you'll notice that it has feature-footer-v2 class

Note that previously, it also had the feature-page-action-bar-v2 class.
Our feature flagged classes should only apply to the Minerva skin.

AC

  • Do not leak any feature classes to vector (or any skin other than Minerva). Hook should only run on Minerva (and probably be in the skins hooks)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2016, 2:39 PM

This should block pushing the footer to stable. @ovasileva do we have such a ticket?

@ovasileva I think this is about the page actions (edit, watchstar, and language buttons) you see when you visit https://en.m.wikipedia.org/wiki/Book rather than the footer.

ovasileva triaged this task as High priority.Sep 14 2016, 4:42 PM
ovasileva added a project: good first bug.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 14 2016, 4:43 PM
bmansurov updated the task description. (Show Details)Sep 14 2016, 4:43 PM
Jdlrobson updated the task description. (Show Details)Sep 14 2016, 4:57 PM
Krinkle added a subscriber: Krinkle.

I suggest we remove this code now that the footer is live and the default. This would solve this problem.

This comment was removed by Jdlrobson.

@Jdlrobson - I think we were confused initially. This is about page actions, not the footer.

Jdlrobson renamed this task from "feature-page-action-bar-v2" is leaking to vector to Minerva feature classes leak into Vector skin.Oct 12 2016, 3:06 PM
Jdlrobson updated the task description. (Show Details)
bmansurov updated the task description. (Show Details)Oct 14 2016, 5:00 PM
ovasileva set the point value for this task to 2.

Change 317803 had a related patch set uploaded (by Phuedx):
Don't leak CSS feature classes

https://gerrit.wikimedia.org/r/317803

Change 317804 had a related patch set uploaded (by Phuedx):
Hygiene: Move OutputPageBodyAttributes handler

https://gerrit.wikimedia.org/r/317804

phuedx claimed this task.Oct 25 2016, 11:12 AM
phuedx moved this task from To Do to Code Review on the Reading-Web-Sprint-84-Zero-minutes-left board.

Change 317804 abandoned by Phuedx:
Hygiene: Move OutputPageBodyAttributes handler

Reason:
See Ia05625c8 for detail.

https://gerrit.wikimedia.org/r/317804

Krinkle removed a subscriber: Krinkle.Oct 26 2016, 3:09 PM
Krinkle added a subscriber: Krinkle.

Some responses are needed to questions from @pmiazga and myself.

@Jdlrobson: I've responded and submitted a new patch set.

Change 317803 merged by jenkins-bot:
Don't leak CSS feature classes

https://gerrit.wikimedia.org/r/317803

phuedx reassigned this task from phuedx to bmansurov.Nov 1 2016, 10:43 AM
phuedx added a subscriber: phuedx.
bmansurov closed this task as Resolved.Nov 1 2016, 6:50 PM
bmansurov removed bmansurov as the assignee of this task.

Signed off. Visited https://en.wikipedia.beta.wmflabs.org/wiki/Main_Page and noticed that the body element doesn't have the feature-footer-v2 class. The same class is present when I visited https://en.m.wikipedia.beta.wmflabs.org/wiki/Main_Page.